<script lang="ts">
	import { ThemeStore } from '$lib/stores/theme';
	import { ThemeEnum } from '$lib/types/theme';
	import { onMount } from 'svelte';
	import { writable } from 'svelte/store';

	let mounted = false;

	let themeStore;
	$: theme = writable({
		value: ThemeEnum.DARK
	});

	onMount(() => {
		mounted = true;
		themeStore = new ThemeStore({ defaultState: ThemeEnum.DARK });
		themeStore.syncHtmlClass();
		themeStore.syncWithBrowserPreference({ overrideSaved: false });

		$theme = themeStore.liveValue;
	});
</script>

<div>
	{#if mounted}
		<button on:click={themeStore.switchToNextTheme}
			>{ThemeStore.themeNameToIcon($theme.value)}</button
		>
		<button on:click={themeStore.resetToInitial}>{'🔄'}</button>
	{/if}
</div>

<style>
</style>
